Docs Rizler

SMS

Get SMS

GEThttps://app.rizzdial.com/api/reports/sms/{id}
Get SMS
curl --request GET \
  --url https://app.rizzdial.com/api/reports/sms/<id> \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "MTIz",
    "email": "john@example.com",
    "status": "delivered",
    "message": "Hello",
    "direction": "Outbound",
    "sentiment": null,
    "to_number": "+14155550100",
    "contact_id": "NDU2",
    "created_at": "2026-10-01 10:00:00",
    "from_number": "+18885551234",
    "contact_name": "John Doe",
    "phone_number": "+14155550100"
  },
  "status": "success"
}

Get SMS#

One SMS log. {id} is the base64 id from List SMS. A raw numeric log id is also accepted.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 SMS log id from List SMS

curl --request GET \
  --url https://app.rizzdial.com/api/reports/sms/MTIz \
  --header 'Authorization: Bearer {{bearer_token}}'
statusstring

success

dataobject

Same fields as a list row, plus email